---
- name: All hosts ansible dependencies
  hosts: all
  user: root
  gather_facts: false
  serial: 100%
  vars:
    ansible_ssh_common_args: '-o StrictHostKeyChecking=no'
  tasks:
  # - name: Wait for connection
  #   wait_for_connection:
  #     delay: 60
  #     timeout: 180
  - include_tasks: ../tasks/ansible-dependencies.yml

- name: Sql host setup
  hosts: sql 
  user: root
  gather_facts: true
  serial: 100%
  vars:
    ansible_ssh_common_args: '-o StrictHostKeyChecking=no'

- name: Web host setup
  hosts: web
  user: root
  gather_facts: true
  serial: 100%
  vars:
    ansible_ssh_common_args: '-o StrictHostKeyChecking=no'
  tasks:
  - include_tasks: ../tasks/ubuntu-common.yml
